osmium::index::BoolVector< T > Class Template Reference

`#include <bool_vector.hpp>`

## Public Member Functions

| BoolVector ()=default
| BoolVector (const BoolVector &)=default
| BoolVector (BoolVector &&)=default
BoolVector & | operator= (const BoolVector &)=default
BoolVector & | operator= (BoolVector &&)=default
| ~BoolVector () noexcept=default
void | set (T id, bool value=true)
bool | get (T id) const

## Private Attributes

std::vector< bool > | m_bits

## Detailed Description

### template<typename T>
class osmium::index::BoolVector< T >

Index storing one bit for each Id. The index automatically scales with the Ids stored. Default value is 'false'. Storage uses std::vector<bool> and needs a minimum of memory if the Ids are dense.

## Constructor & Destructor Documentation

template<typename T >

osmium::index::BoolVector< T >::BoolVector | ( |  | ) |

default

template<typename T >

osmium::index::BoolVector< T >::BoolVector | ( | const BoolVector< T > & |  | ) |

default

template<typename T >

osmium::index::BoolVector< T >::BoolVector | ( | BoolVector< T > && |  | ) |

default

template<typename T >

osmium::index::BoolVector< T >::~BoolVector | ( |  | ) |

default noexcept

## Member Function Documentation

template<typename T >

bool osmium::index::BoolVector< T >::get | ( | T | id | ) | const

inline

template<typename T >

BoolVector& osmium::index::BoolVector< T >::operator= | ( | const BoolVector< T > & |  | ) |

default

template<typename T >

BoolVector& osmium::index::BoolVector< T >::operator= | ( | BoolVector< T > && |  | ) |

default

template<typename T >

void osmium::index::BoolVector< T >::set | ( | T | id,
|  | bool | value = `true`
| ) |  |

inline

## Member Data Documentation

template<typename T >

std::vector<bool> osmium::index::BoolVector< T >::m_bits

private

The documentation for this class was generated from the following file:

- osmium/index/bool_vector.hpp